#!/bin/sh

echo "This will install the XIV Host Attachment Kit bundle. Press [Enter] to continue."
read a
INSTALLER_DIR=`dirname $0`
cd $INSTALLER_DIR
CUR_DIR=`pwd`
INST_SCRIPT=$CUR_DIR/scripts/pkginst.`uname -s | tr 'A-Z' 'a-z'`.sh
PRE_SCRIPT=$CUR_DIR/scripts/preinst.`uname -s | tr 'A-Z' 'a-z'`.sh
POST_SCRIPT=$CUR_DIR/scripts/postinst.`uname -s | tr 'A-Z' 'a-z'`.sh

echo === LOG START === >> $CUR_DIR/install.log

if [ -x "$PRE_SCRIPT" ]; then
	$PRE_SCRIPT >> $CUR_DIR/install.log 2>&1 || exit $?
fi

echo "--------- starting installation -------------" >> $CUR_DIR/install.log
date >> $CUR_DIR/install.log
for pkgname in `cat packages/pkg.list`; do
  $INST_SCRIPT $CUR_DIR/packages/$pkgname >> $CUR_DIR/install.log 2>&1
  if [ "$?" != "0" ]; then
    echo "There was an error during the installation process, "
    echo "please check install.log for more info."
    exit 1
  fi
done

echo "The XIV Host Attachment Bundle was successfuly installed."

if [ -x "$POST_SCRIPT" ]; then
	$POST_SCRIPT >> $CUR_DIR/install.log 2>&1 || exit $?
fi
