import translation
from iscsicommon import test_iscsi_connectivity

ISCSI_PORT = 3260
DEFAULT_VALID_REPLIES = {'yes': True, 'y': True, 'no': False, 'n': False}

def prompt(message, default="no", valid_replies=DEFAULT_VALID_REPLIES):
  try:
    message += " "
    if default:
      message += "[default: %s]: " % default
    while True:
      reply = raw_input(message).lower() or default
      if reply not in valid_replies.keys():
        print translation.INPUT_INVALID_PREFIX + ' ' + ', '.join(valid_replies.keys())
        continue
      return valid_replies[reply]
  except KeyboardInterrupt, e: 
    print ""
    raise e

def enter_to_proceed(message):
  raw_input(message + "\n" + translation.ENTER_TO_PROCEED)

def prompt_iscsi_address(message):
  try:
    address = raw_input(message + " ")
    if address:
      test_iscsi_connectivity(address)
    return address 
  except KeyboardInterrupt, e: 
    print ""
    raise e
