#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import logging
import re
from scsi_host import ScsiHost

class QlogicHost(ScsiHost):
    def __init__(self, host_name):
        ScsiHost.__init__(self, host_name)
        self.type = 'QLOGIC'

    def get_wwn(self):
        self.wwn = ' '
        try:
            port_name_file = open('/sys/class/fc_host/%s/port_name' % (self.host_name), 'ro')
            self.wwn = re.sub(r'(..)', r'\1:', port_name_file.readline().strip().split('x')[1]).strip(':')
            port_name_file.close()
        except IOError:
            pass
        try:
            host_file = open('/proc/scsi/qla2xxx/%s' % (self.host_name_number), 'ro')
            for line in host_file.read().splitlines():
                if line.__contains__('adapter-port'):
                    self.wwn = re.sub(r'(..)', r'\1:', line.split('=')[1].split(';')[0]).strip(':')
            host_file.close()
        except IOError:
            pass
        if self.wwn.isspace():
            logging.error('Cannot retreive WWN for %s' % (self.host_name))
            self.wwn = ''


