#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------


import re
import socket

CONNECTION_TIMEOUT = 3

def is_ip_address(ip_address):
    pattern = '^(\d{1,3})\.(\d{1,3})\.(\d{1,3})\.(\d{1,3})$'
    address = re.search(pattern, ip_address)
    try:
        address.group()
    except AttributeError:
        return False
    return True

def is_server_listening(ip='', port=3260):
    if not is_ip_address(ip):
        return False
    connection = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    connection.settimeout(CONNECTION_TIMEOUT)
    try:
        connection.connect((ip, port))
    except:
        return False
    return True

def is_alive(ip_address):
    if not is_ip_address (ip_address):
        return False
    if not is_server_listening (ip_address):
        return False
    return True

