#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

from service import GenericServiceManager
from connection_manager import ConnectionManager
from initiator import InitiatorNameLinuxIscsi
from iscsid_conf import IscsidConfLinuxIscsi
from iscsi.classes import IIscsiGeneral

class LinuxIscsi(IIscsiGeneral):
    def __init__(self, backup_path):
        self.backup_path = backup_path
        self.iscsid_conf = IscsidConfLinuxIscsi(backup_path)
        self.iscsiadm = ConnectionManager(backup_path)
        self.initiator = InitiatorNameLinuxIscsi()
        self.service = GenericServiceManager('iscsi')

    def scan(self):
        self.iscsiadm.iscsi_scan()

