#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import logging
import definitions
from execute import ExternalCommand

class MultiPathKernelModules(object):
    def is_configured(self):
        found = False
        fh = file("/proc/modules")
        lines = fh.readlines()
        fh.close()

        for line in lines:
            if line.split()[0] == "dm_multipath":
                found = True
                break

        return found

    def configure(self):
        self.load_kernel_module('/lib/modules/`uname -r`/kernel/drivers/md/dm-multipath.ko')
        self.load_kernel_module('/lib/modules/`uname -r`/kernel/drivers/md/multipath.ko')
        self.load_kernel_module('/lib/modules/`uname -r`/kernel/drivers/md/dm-round-robin.ko')

    def load_kernel_module(self, module_file_path):
        insmod_command = ExternalCommand('insmod %s' % module_file_path)
        insmod_command.execute()
        if not insmod_command.is_error_free():
            if not insmod_command.output.__contains__('File exists'):
                if not insmod_command.output.__contains__('Unknown symbol in module'):
                    logging.debug('failed to load kernel module %s' % module_file_path)
