#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------


import re

def extract_hctl_from_line(line):
    line_splits = line.split(' ')
    host = line_splits[1].strip('scsi')
    channel = remove_leading_zeros(line_splits[3].strip())
    target = remove_leading_zeros(line_splits[5].strip())
    lun = remove_leading_zeros(line_splits[7].strip())
    return (host, channel, target, lun)

def remove_leading_zeros(string):
    non_zeros = re.sub('^0*', '', string)
    if non_zeros == '':
        return '0'
    return non_zeros

def is_lun_zero(hctl):
    if hctl.split().pop() == '0':
        return True
    else:
        return False
