from os import path, environ
from commands import getoutput
from subprocess import PIPE, Popen

from interfaces import IXIVDiag

GETDMPNODE_COMMAND = ['/bin/sh', '-c',"vxdmpadm getdmpnode enclosure=Disk | awk '/Disk/{print $1}' | while read d; do echo $d; vxdmpadm getsubpaths dmpnodename=$d; echo; done"]

class XIVdiag(IXIVDiag):
    def add_collectables(collector):
        collector = self.collector
        collector.add_collectable_item(SimpleFileCollectable("vxvm-sysboot", 
                                       collector.zip_file, '/sbin/init.d/vxvm-sysboot'))
        collector.add_collectable_item(SimpleFileCollectable("syslog", collector.zip_file,
                                       '/var/adm/syslog/syslog.log' ))
        collector.add_collectable_item(SimpleCommandCollectable('dmesg', ['dmesg' , '']))
        collector.add_collectable_item(SimpleCommandCollectable("vol_list", 
                                       ['vxdmpadm', 'getdmpnode', 'enclosure=Disk']))
        collector.add_collectable_item(SimpleCommandCollectable("multipath", GETDMPNODE_COMMAND))
